VetMedicApp/Models/Event.cs
using System;

namespace VetMedicApp.Models
{
    public class Event
    {
        public long EventId { get; set; }
        public DateTime EventDateTime { get; set; }
        public long PetServiceId { get; set; }
        public PetService PetService { get; set; }
    }
}

VetMedicApp/Controllers/EventController.cs
using Microsoft.AspNetCore.Authorization;
using Microsoft.AspNetCore.Identity;
using Microsoft.AspNetCore.Mvc;
using System;
using VetMedicApp.Data;
using VetMedicApp.Logic;
using VetMedicApp.Models;
using VetMedicApp.ViewModels;
using VetMedicApp.ViewModels.EventViewModels;

namespace VetMedicApp.Controllers
{
    [Authorize(Roles = "admin")]
    [Route("[controller]/[action]")]
    public class EventController : Controller
    {
        private readonly UserManager<ApplicationUser> _userManager;
        private readonly SignInManager<ApplicationUser> _signInManager;
        private readonly VetMedicAppDbContext _context;

        public EventController(
            UserManager<ApplicationUser> userManager,
            SignInManager<ApplicationUser> signInManager,
            VetMedicAppDbContext context)
        {
            _userManager = userManager;
            _signInManager = signInManager;
            _context = context;
        }

        [HttpGet]
        public IActionResult Planner()
        {
            IEventLogic logic = new EventLogic(_context);
            ListOfEventsViewModel model = new ListOfEventsViewModel()
            {
                Events = logic.GetAll()
            };
            return View(model);
        }

        [HttpGet]
        public IActionResult Insert()
        {
            try
            {
                InsertEventViewModel evm = new InsertEventViewModel();
                IServiceLogic serviceLogic = new ServiceLogic(_context);
                IPetLogic petLogic = new PetLogic(_context);
                
                evm.AllServices = serviceLogic.GetAll();
                evm.AllPets = petLogic.GetAll();

                return View(evm);
            }
            catch (Exception ex)
            {
                return View("Error", new ErrorViewModel() { ErrorMessage = ex.Message });
            }
        }

        [HttpPost]
        [ValidateAntiForgeryToken]
        public IActionResult Insert(InsertEventViewModel model)
        {
            try
            {
                IServiceLogic serviceLogic = new ServiceLogic(_context);
                IPetLogic petLogic = new PetLogic(_context);

                if (ModelState.IsValid)
                {

                    Pet pet = petLogic.GetById(model.PetId) ?? throw new Exception("Ljubimac koga ste izabrali ne postoji u bazi!");
                    Service service= serviceLogic.GetById(model.ServiceId) ?? throw new Exception("Usluga koju ste izabrali ne postoji u bazi!");
                    
                    var ev = new Event()
                    {
                        PetService = new PetService()
                        {
                            PetId = pet.PetId,
                            Pet = pet,
                            ServiceId = service.ServiceId,
                            Service = service
                        },
                        EventDateTime = new DateTime(model.Date.Year, model.Date.Month, model.Date.Day, model.Hours, model.Minutes, 0)                        
                    };

                    IEventLogic logic = new EventLogic(_context);
                    Event insertedEvent = logic.Insert(ev);

                    return View("InsertSuccessful", new SingleEventViewModel() { Event = insertedEvent});
                }
                
                model.AllServices = serviceLogic.GetAll();
                model.AllPets = petLogic.GetAll();
                return View(model);
            }
            catch (Exception ex)
            {
                return View("Error", new ErrorViewModel() { ErrorMessage = ex.Message });
            }
        }
    }
}

VetMedicApp/Controllers/ServiceController.cs
using Microsoft.AspNetCore.Authorization;
using Microsoft.AspNetCore.Identity;
using Microsoft.AspNetCore.Mvc;
using OfficeOpenXml;
using System;
using System.Collections.Generic;
using System.Linq;
using VetMedicApp.Data;
using VetMedicApp.Logic;
using VetMedicApp.Models;
using VetMedicApp.ViewModels;
using VetMedicApp.ViewModels.ServiceViewModels;

namespace VetMedicApp.Controllers
{
    [Authorize(Roles = "admin")]
    [Route("[controller]/[action]")]
    public class ServiceController : Controller
    {
        private readonly UserManager<ApplicationUser> _userManager;
        private readonly SignInManager<ApplicationUser> _signInManager;
        private readonly VetMedicAppDbContext _context;

        public ServiceController(
            UserManager<ApplicationUser> userManager,
            SignInManager<ApplicationUser> signInManager,
            VetMedicAppDbContext context)
        {
            _userManager = userManager;
            _signInManager = signInManager;
            _context = context;
        }

        [HttpGet]
        public IActionResult Overview()
        {
            try
            {
                ListOfServicesViewModel svm = new ListOfServicesViewModel();
                IServiceLogic serviceLogic = new ServiceLogic(_context);

                svm.Services = serviceLogic.GetAll();

                return View(svm);
            }
            catch (Exception ex)
            {
                return View("Error", new ErrorViewModel() { ErrorMessage = ex.Message });
            }
        }

        [HttpGet]
        public IActionResult Insert()
        {
            try
            {
                InsertServiceViewModel svm = new InsertServiceViewModel();
                IServiceLogic serviceLogic = new ServiceLogic(_context);

                svm.AllServiceTypes.Add(ServiceType.Higijenska);
                svm.AllServiceTypes.Add(ServiceType.Medicinska);

                return View(svm);


            }
            catch (Exception ex)
            {
                return View("Error", new ErrorViewModel() { ErrorMessage = ex.Message });
            }
        }

        [HttpPost]
        [ValidateAntiForgeryToken]
        public IActionResult Insert(InsertServiceViewModel model)
        {
            try
            {
                if (ModelState.IsValid)
                {

                    var service = new Service()
                    {
                        Name = model.Name,
                        ServiceType = model.ServiceType
                    };

                    IServiceLogic serviceLogic = new ServiceLogic(_context);
                    Service insertedService = serviceLogic.Insert(service);

                    return View("InsertSuccessful", new SingleServiceViewModel() { Service = insertedService });
                }

                model.AllServiceTypes.Add(ServiceType.Higijenska);
                model.AllServiceTypes.Add(ServiceType.Medicinska);
                return View(model);
            }
            catch (Exception ex)
            {
                return View("Error", new ErrorViewModel() { ErrorMessage = ex.Message });
            }
        }

        [HttpGet]
        public IActionResult Export()
        {
            try
            {

                byte[] fileContents;

                IServiceLogic logic = new ServiceLogic(_context);

                List<Service> services = logic.GetAll();

                using (var package = new ExcelPackage())
                {
                    var worksheet = package.Workbook.Worksheets.Add("Usluge");

                    worksheet.Cells[1, 1].Value = "Naziv";
                    worksheet.Cells[1, 2].Value = "Tip";

                    for (int i = 1; i <= services.Count; i++)
                    {
                        worksheet.Cells[i + 1, 1].Value = services.ElementAt(i - 1).Name;
                        worksheet.Cells[i + 1, 2].Value = services.ElementAt(i - 1).ServiceType;
                    }

                    worksheet.Cells[worksheet.Dimension.Address].AutoFitColumns();
                    worksheet.Row(1).Style.Font.Bold = true;

                    fileContents = package.GetAsByteArray();
                }

                if (fileContents == null || fileContents.Length == 0)
                {
                    return NotFound();
                }

                return File(
                    fileContents: fileContents,
                    contentType: "application/vnd.openxmlformats-officedocument.spreadsheetml.sheet",
                    fileDownloadName: $"Export-Usluge-{DateTime.Now.ToString("(dd.MM.yyyy)")}.xlsx"
                );
            }
            catch (Exception ex)
            {
                return View("Error", new ErrorViewModel() { ErrorMessage = ex.Message });
            }
        }
    }
}

VetMedicApp/Views/Event/Insert.cshtml
@model InsertEventViewModel

<div class="row">
    <div class="col-md-4">
        <form asp-controller="Event" asp-action="Insert" method="post">
            <h4><i class="fa fa-calendar-alt fa-fw"></i> Unesite podatke</h4>
            <hr />
            <div class="form-group">
                @Html.Label(null, "Usluga:", new { style = "font-weight:bold" })
                @{
                    var serviceOptions = new List<SelectListItem>();
                    foreach (var item in Model.AllServices)
                    {
                        serviceOptions.Add(new SelectListItem() { Text = item.Name, Value = item.ServiceId.ToString(), Disabled = false });
                    }
                }
                @Html.DropDownListFor(m => m.ServiceId,
                        new SelectList(serviceOptions, "Value", "Text"), new { @class = "form-control" })
                @Html.ValidationMessageFor(m => m.ServiceId, "", new { @class = "text-danger" })
            </div>
            <div class="form-group">
                @Html.Label(null, "Ljubimac:", new { style = "font-weight:bold" })
                @{
                    var petOptions = new List<SelectListItem>();
                    foreach (var item in Model.AllPets)
                    {
                        petOptions.Add(new SelectListItem() { Text = $"{item.Name} (Rasa: {item.Race}; Vlasnik: {item.Owner.FirstName} {item.Owner.LastName})", Value = item.PetId.ToString(), Disabled = false });
                    }
                }
                @Html.DropDownListFor(m => m.PetId,
                        new SelectList(petOptions, "Value", "Text"), new { @class = "form-control" })
                @Html.ValidationMessageFor(m => m.PetId, "", new { @class = "text-danger" })
            </div>
            <div class="form-group input-group-sm">
                @Html.Label("Date", "Datum:", new { style = "font-weight:bold" })
                @Html.TextBoxFor(m => m.Date, new { type = "date", @class = "form-control datepicker", @placeholder = "Unesite datum..." })
                @Html.ValidationMessageFor(m => m.Date, "", new { @class = "text-danger" })
            </div>
            <div class="form-group input-group-sm col-xs-2">
                @Html.Label("", "Vreme:", new { style = "font-weight:bold" })<br/>
                @Html.TextBoxFor(m => m.Hours, new { @class = "form-control-sm", @placeholder = "00", @width = "10"}) :
                @Html.TextBoxFor(m => m.Minutes, new { @class = "form-control-sm", @placeholder = "00", @width = "10" })<br />
                @Html.ValidationMessageFor(m => m.Hours, "", new { @class = "text-danger" })<br />
                @Html.ValidationMessageFor(m => m.Minutes, "", new { @class = "text-danger" })
            </div>
            <button type="submit" style="margin:0px 5px 20px 0px; font-size:medium" class="btn btn-dark btn-sm"><i class="fa fa-check fa-sm" aria-hidden="true"></i> Sačuvaj</button>
            <a asp-controller="Home" asp-action="Index" style="margin:0px 5px 20px 0px; font-size:medium" class="btn btn-danger btn-sm"><i class="fa fa-times fa-sm" aria-hidden="true"></i> Poništi</a>
        </form>
    </div>
</div>

@section Scripts {
    @await Html.PartialAsync("_ValidationScriptsPartial")
}

VetMedicApp/Views/Event/InsertSuccessful.cshtml
@model SingleEventViewModel
<h4><i class="fa fa-calendar-alt-check fa-fw"></i> Uspešno ste zakazali događaj:</h4>
<hr />

<table class="table-striped" style="font-size:large">
    <tbody>
        <tr>
            <th>Ljubimac: </th>
            <td>@Model.Event.PetService.Pet.Name</td>
        </tr>
        <tr>
            <th>Usluga: </th>
            <td>@Model.Event.PetService.Service.Name</td>
        </tr>
        <tr>
            <th>Datum: </th>
            <td>@Model.Event.EventDateTime.ToString("dd/MM/yyyy")</td>
        </tr>
        <tr>
            <th>Vreme: </th>
            <td>@Model.Event.EventDateTime.ToString("HH:mm")</td>
        </tr>
    </tbody>
</table>
<hr />
<a asp-controller="Service" asp-action="Overview" style="margin:0px 5px 20px 0px; font-size:medium" class="btn btn-dark btn-sm"><i class="fa fa-table fa-sm" aria-hidden="true"></i> Usluge</a>

VetMedicApp/Views/Event/Planner.cshtml
@model ListOfEventsViewModel
<h3><i class="fa fa-calendar-alt fa-fw" aria-hidden="true"></i>Planer</h3>
<hr />

<div class="card mb-3">
    <div class="card-body">
        <div class="table-responsive">
            <table class="table table-bordered" id="dataTable" cellspacing="0">
                <thead>
                    <tr>
                        <th>RB</th>
                        <th>Ljubimac</th>
                        <th>Usluga</th>
                        <th>Datum</th>
                        <th>Vreme</th>
                    </tr>
                </thead> 
                <tbody>
                    @{int i = 0;}
                    @foreach (Event e in Model.Events)
                    {
                        i = @i + 1;
                        <tr>
                            <td>@i</td>
                            <td>@e.PetService.Pet.Name</td>
                            <td>@e.PetService.Service.Name</td>
                            <td>@e.EventDateTime.ToString("dd/MM/yyyy")</td>
                            <td>@e.EventDateTime.ToString("HH:mm")</td>                            
                        </tr>
                    }
                </tbody>
            </table>
        </div>
    </div>
    <div class="card-footer small text-muted"><a asp-controller="Event" asp-action="Insert" style="font-size:medium" class="btn btn-dark btn-sm"><i class="fa fa-calendar-alt-check fa-sm" aria-hidden="true"></i> Zakaži</a></div>
</div>